#! /bin/bash
# m_k0fs.sh
# Root-Dateisystem fuer lxcXXX zusammenstellen

# Root-FS mounten
./mount_k0.sh

# Verzeichnisse anlegen
cd k0

rm -rf lost+found 2> /dev/null
mkdir {dev,proc,etc,bin,mnt,root,tmp} 2> /dev/null
mkdir {lib,lib/modules,lib/modules/2.0.36} 2> /dev/null
mkdir lib/modules/2.0.36/net 2> /dev/null
mkdir {var,var/log,var/run,var/spool,var/spool/mail,/var/spool/atjobs} 2> /dev/null
mkdir {sbin,sbin/init.d,sbin/init.d/rcS.d,sbin/init.d/rc2.d,sbin/init.d/rc6.d} 2> /dev/null
mkdir {usr,usr/bin,usr/sbin,usr/local,usr/local/bin} 2> /dev/null

# Verzeicnis /bin
cp -dpR /bin/{bash,cat,chmod,chown,cp,df,false} bin 2> /dev/null
cp -dpR /bin/{hostname,ln,login,ls,mount,pwd} bin 2> /dev/null
cp -dpR /bin/{rm,sh,stty,sync,tar,true,umount,uname} bin 2> /dev/null

# Verzeicnis /sbin
cp -dpR /sbin/{depmod,e2fsck,fsck,fsck.ext2,halt,hwclock} sbin 2> /dev/null
cp -dpR /sbin/{init,insmod,kerneld,ldconfig,mingetty} sbin 2> /dev/null
cp -dpR /sbin/{mke2fs,mkfs,mkfs.ext2,mkswap,modprobe,reboot,rmmod} sbin 2> /dev/null
cp -dpR /sbin/{shutdown,swapoff,swapon,telinit,update} sbin 2> /dev/null
cp -dpR /sbin/{ifconfig,route} sbin 2> /dev/null

# Verzeichnis /dev
cp -dpR /dev/{console,cua0,fd0,kmem,mem,null,ram0,ramdisk} dev 2> /dev/null
cp -dpR /dev/{tty1,tty2,tty3,zero} dev 2> /dev/null
cp -dpR /dev/{ttyp0,ttyp1,ttyp2,ptyp0,ptyp1,ptyp2} dev 2> /dev/null

# Verzeichnis /etc
cp -dpR ../data/lxc000/etc/{conf.modules,fstab,group,inittab,issue.net} etc 2> /dev/null
cp -dpR ../data/lxc000/etc/{mtab,nsswitch.conf,passwd,profile} etc 2> /dev/null
cp -dpR ../data/lxc000/etc/{shells,ttytype,utmp,wtmp} etc 2> /dev/null
cp -dpR ../data/lxc000/etc/{shadow,login.defs} etc 2> /dev/null
cp -dpR ../data/lxc000/etc/{rc.config,route.conf,protocols,services} etc
cp -dpR ../data/lxc000/etc/{hosts,networks,inetd.conf} etc

# Verzeichnis /lib
cp -dpR /lib/{ld-linux.so.2,libncurses.so.4} lib 2> /dev/null
objcopy --strip-all /lib/ld-2.0.7.so lib/ld-2.0.7.so
objcopy --strip-debug /lib/libc.so.6 lib/libc.so.6
objcopy --strip-debug /lib/libncurses.so.4.2 lib/libncurses.so.4.2
objcopy --strip-debug /lib/libdl.so.2 lib/libdl.so.2
objcopy --strip-debug /lib/libcrypt.so.1 lib/libcrypt.so.1
objcopy --strip-debug /lib/libnss_files.so.1 lib/libnss_files.so.1

# Module
cp -dpR /lib/modules/2.0.36/net/ne.o lib/modules/2.0.36/net 2> /dev/null
cp -dpR /lib/modules/2.0.36/net/8390.o lib/modules/2.0.36/net 2> /dev/null

# Verzeichnis /root
cp -dpR ../data/lxc000/root/.rhosts root/.rhosts 2> /dev/null

# Initialisierungsscripte
cp -dpR ../data/lxc000/sbin/init.d/{boot,rc,halt,network} sbin/init.d 2> /dev/null
cp -dpR ../data/lxc000/sbin/init.d/{route,single,pvm} sbin/init.d 2> /dev/null

cp -dpR ../data/lxc000/sbin/init.d/rcS.d/{S20single,K20single} sbin/init.d/rcS.d 2> /dev/null
cp -dpR ../data/lxc000/sbin/init.d/rc2.d/{S05network,S07route} sbin/init.d/rc2.d 2> /dev/null
cp -dpR ../data/lxc000/sbin/init.d/rc2.d/{K40network,K38route} sbin/init.d/rc2.d 2> /dev/null
cp -dpR ../data/lxc000/sbin/init.d/rc2.d/S50pvm sbin/init.d/rc2.d/S50pvm 2> /dev/null
cp -dpR ../data/lxc000/sbin/init.d/rc6.d/S20reboot sbin/init.d/rc6.d/S20reboot 2> /dev/null

cd ..
# Inhalt dokumentieren
ls -lAR k0 > k0_fs.lst
 
# Root-FS unmounten
./umount_k0.sh

# *** E O F ***
