#! /bin/bash
# w_k0root_lxcXXX.sh
# Root-Dateisystem fue Knoten lxcXXX erstellen
# Aufruf : ./w_k0root_lxcXXX.sh 001 - fuer Knoten lxc001.lx etc.

echo "* erstelle Root-Dateisystem fuer einen Knoten"    
if test $# -ne 1; then
    echo "# Aufruf-Fehler! #"
    echo "* Aufruf $01 XXX"
    echo "   XXX = 001 etc."
    exit 1
fi
echo "* Knoten-Name : 'lxc$1.lx'"    

# k0_root.lx erstellen ?
if test -f k0_root.lx; then
    echo "* verwende vorhandenes Root-Image 'k0_root.lx'"
else
    echo "* erstelle neues Root-Image 'k0_root.lx'"
    ./m_k0lx.sh
    ./m_k0fs.sh
fi

./mount_k0.sh
# *** Knoten-spezifische Ergaenzung fuer /etc/rc.config schreiben ***
echo "* konfiguriere Knoten 'lxc$1.lx'"

echo "# Konfiguration Knoten : 'lxc$1.lx' - 192.168.0.$1" > data/rc.config.$1
echo "FQHOSTNAME=\"lxc$1.lx\"" >> data/rc.config.$1
echo "FROM_HEADER=\"lxc$1.lx\"" >> data/rc.config.$1
echo "NETDEV_0=\"eth0\"" >> data/rc.config.$1
echo "NETDEV_1=\"\"" >> data/rc.config.$1
echo "NETDEV_2=\"\"" >> data/rc.config.$1
echo "NETDEV_3=\"\"" >> data/rc.config.$1
echo "IPADDR_0=192.168.0.$1" >> data/rc.config.$1
echo "IPADDR_1=" >> data/rc.config.$1
echo "IPADDR_2=" >> data/rc.config.$1
echo "IPADDR_3=" >> data/rc.config.$1
echo "IFCONFIG_0=\"192.168.0.$1 broadcast 192.168.0.255 netmask 255.255.255.0 up\"" >> data/rc.config.$1
echo "IFCONFIG_1=\"\"">> data/rc.config.$1
echo "IFCONFIG_2=\"\"">> data/rc.config.$1
echo "IFCONFIG_3=\"\"">> data/rc.config.$1

# *** Knoten-spezifische Ergaenzung in Root-Dateisystem schreiben ***
cat data/rc.config.$1 >> k0/etc/rc.config
echo "" > k0/etc/issue
echo "Willkommen beim c't Linux-Cluster" >> k0/etc/issue 
echo "Knoten : lxc$1.lx - \\l \\d \\t" >> k0/etc/issue
echo "" >> k0/etc/issue
 
./umount_k0.sh

echo "* komprimiere Root-Image 'k0_root.lx'"
./m_k0gz.sh

echo "* schreibe 'k0_root.gz' als Root-Dateisystem fuer Knoten 'lxc$1.lx'"
echo "  auf Root-Diskette"    
./w_k0root.sh

# *** E O F ***
